diff -r 1646adc7793b src/odepkg_octsolver_rodas.cc
--- a/src/odepkg_octsolver_rodas.cc	Sun Jan 20 20:52:16 2019 +0100
+++ b/src/odepkg_octsolver_rodas.cc	Sun Jan 20 21:30:32 2019 +0100
@@ -293,7 +293,7 @@
   varin(0) = X; varin(1) = A;
   for (octave_idx_type vcnt = 0; vcnt < vrodasextarg.length (); vcnt++)
     varin(vcnt+2) = vrodasextarg(vcnt);
-  octave_value_list vout = feval (vrodasodefun.function_value (), varin, 1);
+  octave_value_list vout = octave::feval (vrodasodefun.function_value (), varin, 1);
 
   // Return the results from the function evaluation to the Fortran
   // solver, again copy them and don't just create a Fortran vector
@@ -401,14 +401,14 @@
   octave_value vy = octave_value (A);
 
   // Check if an 'Events' function has been set by the user
-  if (!vrodasevefun.is_empty ()) {
+  if (!vrodasevefun.isempty ()) {
     vrodasevesol = odepkg_auxiliary_evaleventfun 
       (vrodasevefun, vt, vy, vrodasextarg, 1);
-    if (!vrodasevesol(0).cell_value ()(0).is_empty ())
+    if (!vrodasevesol(0).cell_value ()(0).isempty ())
       if (vrodasevesol(0).cell_value ()(0).int_value () == 1) {
         ColumnVector vttmp = vrodasevesol(0).cell_value ()(2).column_vector_value ();
         Matrix vrtmp = vrodasevesol(0).cell_value ()(3).matrix_value ();
-        vt = vttmp.extract (vttmp.length () - 1, vttmp.length () - 1);
+        vt = vttmp.extract (vttmp.numel () - 1, vttmp.numel () - 1);
         vy = vrtmp.extract (vrtmp.rows () - 1, 0, vrtmp.rows () - 1, vrtmp.cols () - 1);
         IRTRN = (vrodasevesol(0).cell_value ()(0).int_value () ? -1 : 0);
       }
@@ -420,7 +420,7 @@
 
   // Check if an 'OutputFcn' has been set by the user (including the
   // values of the options for 'OutputSel' and 'Refine')
-  if (!vrodaspltfun.is_empty ()) {
+  if (!vrodaspltfun.isempty ()) {
     if (vrodasrefine.int_value () > 0) {
       ColumnVector B(N); double vtb = 0.0;
       for (octave_idx_type vcnt = 1; vcnt < vrodasrefine.int_value (); vcnt++) {
@@ -534,8 +534,8 @@
   if (nargin >= 4) {
 
     // Fourth input argument != OdePkg option, need a default structure
-    if (!args(3).is_map ()) {
-      octave_value_list tmp = feval ("odeset", tmp, 1);
+    if (!args(3).isstruct ()) {
+      octave_value_list tmp = octave::feval ("odeset", tmp, 1);
       vodeopt = tmp(0).scalar_map_value ();       // Create a default structure
       for (octave_idx_type vcnt = 3; vcnt < nargin; vcnt++)
         vrodasextarg(vcnt-3) = args(vcnt); // Save arguments in vrodasextarg
@@ -545,7 +545,7 @@
     else if (nargin > 4) {
       octave_value_list varin;
       varin(0) = args(3); varin(1) = "oders";
-      octave_value_list tmp = feval ("odepkg_structure_check", varin, 1);
+      octave_value_list tmp = octave::feval ("odepkg_structure_check", varin, 1);
       if (error_state) return (vretval);
       vodeopt = tmp(0).scalar_map_value ();       // Create structure from args(4)
       for (octave_idx_type vcnt = 4; vcnt < nargin; vcnt++)
@@ -556,7 +556,7 @@
     else {
       octave_value_list varin;
       varin(0) = args(3); varin(1) = "oders"; // Check structure
-      octave_value_list tmp = feval ("odepkg_structure_check", varin, 1);
+      octave_value_list tmp = octave::feval ("odepkg_structure_check", varin, 1);
       if (error_state) return (vretval);
       vodeopt = tmp(0).scalar_map_value (); // Create a default structure
     }
@@ -564,7 +564,7 @@
   } // if (nargin >= 4)
 
   else { // if nargin == 3, everything else has been checked before
-    octave_value_list tmp = feval ("odeset", tmp, 1);
+    octave_value_list tmp = octave::feval ("odeset", tmp, 1);
     vodeopt = tmp(0).scalar_map_value (); // Create a default structure
   }
 
@@ -576,7 +576,7 @@
   // Implementation of the option RelTol has been finished, this
   // option can be set by the user to another value than default value
   octave_value vreltol = vodeopt.contents ("RelTol");
-  if (vreltol.is_empty ()) {
+  if (vreltol.isempty ()) {
     vreltol = 1.0e-6;
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"RelTol\" not set, new value %3.1e is used",
@@ -593,7 +593,7 @@
   // Implementation of the option AbsTol has been finished, this
   // option can be set by the user to another value than default value
   octave_value vabstol = vodeopt.contents ("AbsTol");
-  if (vabstol.is_empty ()) {
+  if (vabstol.isempty ()) {
     vabstol = 1.0e-6;
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"AbsTol\" not set, new value %3.1e is used",
@@ -623,7 +623,7 @@
   // The option NormControl will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vnorm = vodeopt.contents ("NormControl");
-  if (!vnorm.is_empty ())
+  if (!vnorm.isempty ())
     if (vnorm.string_value ().compare ("off") != 0)
       warning_with_id ("OdePkg:InvalidOption",
         "Option \"NormControl\" will be ignored by this solver");
@@ -631,14 +631,14 @@
   // The option NonNegative will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vnneg = vodeopt.contents ("NonNegative");
-  if (!vnneg.is_empty ())
+  if (!vnneg.isempty ())
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"NonNegative\" will be ignored by this solver");
 
   // Implementation of the option OutputFcn has been finished, this
   // option can be set by the user to another value than default value
   vrodaspltfun = vodeopt.contents ("OutputFcn");
-  if (vrodaspltfun.is_empty () && nargout == 0) vrodaspltfun = "odeplot";
+  if (vrodaspltfun.isempty () && nargout == 0) vrodaspltfun = "odeplot";
 
   // Implementation of the option OutputSel has been finished, this
   // option can be set by the user to another value than default value
@@ -659,7 +659,7 @@
     error_with_id ("OdePkg:InvalidOption",
       "Fixed time stamps are not supported by this solver");
   }
-  if (vinitstep.is_empty ()) {
+  if (vinitstep.isempty ()) {
     vinitstep = 1.0e-6;
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"InitialStep\" not set, new value %3.1e is used",
@@ -669,7 +669,7 @@
   // Implementation of the option MaxStep has been finished, this
   // option can be set by the user to another value than default value
   octave_value vmaxstep = vodeopt.contents ("MaxStep");
-  if (vmaxstep.is_empty () && args(1).length () == 2) {
+  if (vmaxstep.isempty () && args(1).length () == 2) {
     vmaxstep = (args(1).vector_value ()(1) - args(1).vector_value ()(0)) / 12.5;
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"MaxStep\" not set, new value %3.1e is used", 
@@ -685,19 +685,19 @@
   // options can be set by the user to another value than default
   vrodasjacfun = vodeopt.contents ("Jacobian");
   octave_idx_type vrodasjac = 0; // We need to set this if no Jac available
-  if (!vrodasjacfun.is_empty ()) vrodasjac = 1;
+  if (!vrodasjacfun.isempty ()) vrodasjac = 1;
 
   // The option JPattern will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vrodasjacpat = vodeopt.contents ("JPattern");
-  if (!vrodasjacpat.is_empty ())
+  if (!vrodasjacpat.isempty ())
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"JPattern\" will be ignored by this solver");
 
   // The option Vectorized will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vrodasvectorize = vodeopt.contents ("Vectorized");
-  if (!vrodasvectorize.is_empty ())
+  if (!vrodasvectorize.isempty ())
     if (vrodasvectorize.string_value ().compare ("off") != 0)
       warning_with_id ("OdePkg:InvalidOption",
         "Option \"Vectorized\" will be ignored by this solver");
@@ -706,7 +706,7 @@
   // options can be set by the user to another value than default
   vrodasmass = vodeopt.contents ("Mass");
   octave_idx_type vrodasmas = 0;
-  if (!vrodasmass.is_empty ()) {
+  if (!vrodasmass.isempty ()) {
     vrodasmas = 1;
     if (vrodasmass.is_function_handle () || vrodasmass.is_inline_function ())
       warning_with_id ("OdePkg:InvalidOption",
@@ -716,7 +716,7 @@
   // The option MStateDependence will be ignored by this solver, the
   // core Fortran solver doesn't support this option
   vrodasmassstate = vodeopt.contents ("MStateDependence");
-  if (!vrodasmassstate.is_empty ())
+  if (!vrodasmassstate.isempty ())
     if (vrodasmassstate.string_value ().compare ("weak") != 0) // 'weak' is default
       warning_with_id ("OdePkg:InvalidOption",
         "Option \"MStateDependence\" will be ignored by this solver");
@@ -724,14 +724,14 @@
   // The option MStateDependence will be ignored by this solver, the
   // core Fortran solver doesn't support this option
   octave_value vmvpat = vodeopt.contents ("MvPattern");
-  if (!vmvpat.is_empty ())
+  if (!vmvpat.isempty ())
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"MvPattern\" will be ignored by this solver");
 
   // The option MassSingular will be ignored by this solver, the
   // core Fortran solver doesn't support this option
   octave_value vmsing = vodeopt.contents ("MassSingular");
-  if (!vmsing.is_empty ())
+  if (!vmsing.isempty ())
     if (vmsing.string_value ().compare ("maybe") != 0)
       warning_with_id ("OdePkg:InvalidOption",
         "Option \"MassSingular\" will be ignored by this solver");
@@ -739,21 +739,21 @@
   // The option InitialSlope will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vinitslope = vodeopt.contents ("InitialSlope");
-  if (!vinitslope.is_empty ())
+  if (!vinitslope.isempty ())
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"InitialSlope\" will be ignored by this solver");
 
   // The option MaxOrder will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vmaxder = vodeopt.contents ("MaxOrder");
-  if (!vmaxder.is_empty ())
+  if (!vmaxder.isempty ())
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"MaxOrder\" will be ignored by this solver");
 
   // The option BDF will be ignored by this solver, the core Fortran
   // solver doesn't support this option
   octave_value vbdf = vodeopt.contents ("BDF");
-  if (!vbdf.is_empty ())
+  if (!vbdf.isempty ())
     if (vbdf.string_value ().compare ("off") != 0)
       warning_with_id ("OdePkg:InvalidOption", 
         "Option \"BDF\" will be ignored by this solver");
@@ -761,12 +761,12 @@
   // this solver, IT NEEDS TO BE CHECKED IF THE FORTRAN CORE SOLVER
   // CAN HANDLE THESE OPTIONS
   octave_value vntol = vodeopt.contents ("NewtonTol");
-  if (!vntol.is_empty ())
+  if (!vntol.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"NewtonTol\" will be ignored by this solver");
   octave_value vmaxnewton = 
     vodeopt.contents ("MaxNewtonIterations");
-  if (!vmaxnewton.is_empty ())
+  if (!vmaxnewton.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"MaxNewtonIterations\" will be ignored by this solver");
 
@@ -813,9 +813,9 @@
   octave_value vtim = args(1).vector_value ()(0);
   octave_value vsol = args(2);
   odepkg_auxiliary_solstore (vtim, vsol, 0);
-  if (!vrodaspltfun.is_empty ()) odepkg_auxiliary_evalplotfun 
+  if (!vrodaspltfun.isempty ()) odepkg_auxiliary_evalplotfun 
     (vrodaspltfun, vrodasoutsel, args(1), args(2), vrodasextarg, 0);
-  if (!vrodasevefun.is_empty ())
+  if (!vrodasevefun.isempty ())
     odepkg_auxiliary_evaleventfun (vrodasevefun, vtim, args(2), vrodasextarg, 0);
 
   // We are calling the core solver and solve the set of ODEs or DAEs
@@ -852,9 +852,9 @@
   octave_value vted = octave_value (XEND);
   octave_value vfin = octave_value (vlastline);
 
-  if (!vrodaspltfun.is_empty ()) odepkg_auxiliary_evalplotfun
+  if (!vrodaspltfun.isempty ()) odepkg_auxiliary_evalplotfun
     (vrodaspltfun, vrodasoutsel, vted, vfin, vrodasextarg, 2);
-  if (!vrodasevefun.is_empty ()) odepkg_auxiliary_evaleventfun
+  if (!vrodasevefun.isempty ()) odepkg_auxiliary_evaleventfun
     (vrodasevefun, vted, vfin, vrodasextarg, 2);
   
   // Get the stats information as an octave_scalar_map if the option 'Stats'
@@ -879,9 +879,9 @@
     vretmap.assign ("x", vtres);
     vretmap.assign ("y", vyres);
     vretmap.assign ("solver", "oders");
-    if (!vstatinfo.is_empty ()) // Event implementation
+    if (!vstatinfo.isempty ()) // Event implementation
       vretmap.assign ("stats", vstatinfo);
-    if (!vrodasevefun.is_empty ()) {
+    if (!vrodasevefun.isempty ()) {
       vretmap.assign ("ie", vrodasevesol(0).cell_value ()(1));
       vretmap.assign ("xe", vrodasevesol(0).cell_value ()(2));
       vretmap.assign ("ye", vrodasevesol(0).cell_value ()(3));
@@ -899,7 +899,7 @@
     vretval(2) = vempty;
     vretval(3) = vempty;
     vretval(4) = vempty;
-    if (!vrodasevefun.is_empty ()) {
+    if (!vrodasevefun.isempty ()) {
       vretval(2) = vrodasevesol(0).cell_value ()(2);
       vretval(3) = vrodasevesol(0).cell_value ()(3);
       vretval(4) = vrodasevesol(0).cell_value ()(1);
diff -r 1646adc7793b src/odepkg_octsolver_seulex.cc
--- a/src/odepkg_octsolver_seulex.cc	Sun Jan 20 20:52:16 2019 +0100
+++ b/src/odepkg_octsolver_seulex.cc	Sun Jan 20 21:30:32 2019 +0100
@@ -117,7 +117,7 @@
   varin(0) = X; varin(1) = A;
   for (octave_idx_type vcnt = 0; vcnt < vseulexextarg.length (); vcnt++)
     varin(vcnt+2) = vseulexextarg(vcnt);
-  octave_value_list vout = feval (vseulexodefun.function_value (), varin, 1);
+  octave_value_list vout = octave::feval (vseulexodefun.function_value (), varin, 1);
 
   // Return the results from the function evaluation to the Fortran
   // solver, again copy them and don't just create a Fortran vector
@@ -205,14 +205,14 @@
 
   vseulexevebrk = false;
   // Check if an 'Events' function has been set by the user
-  if (!vseulexevefun.is_empty ()) {
+  if (!vseulexevefun.isempty ()) {
     vseulexevesol = odepkg_auxiliary_evaleventfun 
       (vseulexevefun, vt, vy, vseulexextarg, 1);
-    if (!vseulexevesol(0).cell_value ()(0).is_empty ())
+    if (!vseulexevesol(0).cell_value ()(0).isempty ())
       if (vseulexevesol(0).cell_value ()(0).int_value () == 1) {
         ColumnVector vttmp = vseulexevesol(0).cell_value ()(2).column_vector_value ();
         Matrix vrtmp = vseulexevesol(0).cell_value ()(3).matrix_value ();
-        vt = vttmp.extract (vttmp.length () - 1, vttmp.length () - 1);
+        vt = vttmp.extract (vttmp.numel () - 1, vttmp.numel () - 1);
         vy = vrtmp.extract (vrtmp.rows () - 1, 0, vrtmp.rows () - 1, vrtmp.cols () - 1);
         IRTRN = (vseulexevesol(0).cell_value ()(0).int_value () ? -1 : 0);
         vseulexevebrk = true;
@@ -226,7 +226,7 @@
   // Check if an 'OutputFcn' has been set by the user (including the
   // values of the options for 'OutputSel' and 'Refine')
   vseulexpltbrk = false;
-  if (!vseulexpltfun.is_empty ()) {
+  if (!vseulexpltfun.isempty ()) {
     if (vseulexrefine.int_value () > 0) {
       ColumnVector B(N); double vtb = 0.0;
       for (octave_idx_type vcnt = 1; vcnt < vseulexrefine.int_value (); vcnt++) {
@@ -328,8 +328,8 @@
   if (nargin >= 4) {
 
     // Fourth input argument != OdePkg option, need a default structure
-    if (!args(3).is_map ()) {
-      octave_value_list tmp = feval ("odeset", tmp, 1);
+    if (!args(3).isstruct ()) {
+      octave_value_list tmp = octave::feval ("odeset", tmp, 1);
       vodeopt = tmp(0).scalar_map_value ();       // Create a default structure
       for (octave_idx_type vcnt = 3; vcnt < nargin; vcnt++)
         vseulexextarg(vcnt-3) = args(vcnt); // Save arguments in vseulexextarg
@@ -339,7 +339,7 @@
     else if (nargin > 4) {
       octave_value_list varin;
       varin(0) = args(3); varin(1) = "odesx";
-      octave_value_list tmp = feval ("odepkg_structure_check", varin, 1);
+      octave_value_list tmp = octave::feval ("odepkg_structure_check", varin, 1);
       if (error_state) return (vretval);
       vodeopt = tmp(0).scalar_map_value ();       // Create structure from args(4)
       for (octave_idx_type vcnt = 4; vcnt < nargin; vcnt++)
@@ -350,7 +350,7 @@
     else {
       octave_value_list varin;
       varin(0) = args(3); varin(1) = "odesx"; // Check structure
-      octave_value_list tmp = feval ("odepkg_structure_check", varin, 1);
+      octave_value_list tmp = octave::feval ("odepkg_structure_check", varin, 1);
       if (error_state) return (vretval);
       vodeopt = tmp(0).scalar_map_value (); // Create a default structure
     }
@@ -358,7 +358,7 @@
   } // if (nargin >= 4)
 
   else { // if nargin == 3, everything else has been checked before
-    octave_value_list tmp = feval ("odeset", tmp, 1);
+    octave_value_list tmp = octave::feval ("odeset", tmp, 1);
     vodeopt = tmp(0).scalar_map_value (); // Create a default structure
   }
 
@@ -370,7 +370,7 @@
   // Implementation of the option RelTol has been finished, this
   // option can be set by the user to another value than default value
   octave_value vreltol = vodeopt.contents ("RelTol");
-  if (vreltol.is_empty ()) {
+  if (vreltol.isempty ()) {
     vreltol = 1.0e-6;
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"RelTol\" not set, new value %3.1e is used",
@@ -387,7 +387,7 @@
   // Implementation of the option AbsTol has been finished, this
   // option can be set by the user to another value than default value
   octave_value vabstol = vodeopt.contents ("AbsTol");
-  if (vabstol.is_empty ()) {
+  if (vabstol.isempty ()) {
     vabstol = 1.0e-6;
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"AbsTol\" not set, new value %3.1e is used",
@@ -417,7 +417,7 @@
   // The option NormControl will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vnorm = vodeopt.contents ("NormControl");
-  if (!vnorm.is_empty ())
+  if (!vnorm.isempty ())
     if (vnorm.string_value ().compare ("off") != 0)
       warning_with_id ("OdePkg:InvalidOption",
         "Option \"NormControl\" will be ignored by this solver");
@@ -425,14 +425,14 @@
   // The option NonNegative will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vnneg = vodeopt.contents ("NonNegative");
-  if (!vnneg.is_empty ())
+  if (!vnneg.isempty ())
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"NonNegative\" will be ignored by this solver");
 
   // Implementation of the option OutputFcn has been finished, this
   // option can be set by the user to another value than default value
   vseulexpltfun = vodeopt.contents ("OutputFcn");
-  if (vseulexpltfun.is_empty () && nargout == 0) vseulexpltfun = "odeplot";
+  if (vseulexpltfun.isempty () && nargout == 0) vseulexpltfun = "odeplot";
 
   // Implementation of the option OutputSel has been finished, this
   // option can be set by the user to another value than default value
@@ -453,7 +453,7 @@
     error_with_id ("OdePkg:InvalidOption",
       "Fixed time stamps are not supported by this solver");
   }
-  if (vinitstep.is_empty ()) {
+  if (vinitstep.isempty ()) {
     vinitstep = 1.0e-6;
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"InitialStep\" not set, new value %3.1e is used",
@@ -463,7 +463,7 @@
   // Implementation of the option MaxStep has been finished, this
   // option can be set by the user to another value than default value
   octave_value vmaxstep = vodeopt.contents ("MaxStep");
-  if (vmaxstep.is_empty () && args(1).length () == 2) {
+  if (vmaxstep.isempty () && args(1).length () == 2) {
     vmaxstep = (args(1).vector_value ()(1) - args(1).vector_value ()(0)) / 12.5;
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"MaxStep\" not set, new value %3.1e is used", 
@@ -479,19 +479,19 @@
   // options can be set by the user to another value than default
   vseulexjacfun = vodeopt.contents ("Jacobian");
   octave_idx_type vseulexjac = 0; // We need to set this if no Jac available
-  if (!vseulexjacfun.is_empty ()) vseulexjac = 1;
+  if (!vseulexjacfun.isempty ()) vseulexjac = 1;
 
   // The option JPattern will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vseulexjacpat = vodeopt.contents ("JPattern");
-  if (!vseulexjacpat.is_empty ())
+  if (!vseulexjacpat.isempty ())
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"JPattern\" will be ignored by this solver");
 
   // The option Vectorized will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vseulexvectorize = vodeopt.contents ("Vectorized");
-  if (!vseulexvectorize.is_empty ())
+  if (!vseulexvectorize.isempty ())
     if (vseulexvectorize.string_value ().compare ("off") != 0)
       warning_with_id ("OdePkg:InvalidOption",
         "Option \"Vectorized\" will be ignored by this solver");
@@ -500,7 +500,7 @@
   // options can be set by the user to another value than default
   vseulexmass = vodeopt.contents ("Mass");
   octave_idx_type vseulexmas = 0;
-  if (!vseulexmass.is_empty ()) {
+  if (!vseulexmass.isempty ()) {
     vseulexmas = 1;
     if (vseulexmass.is_function_handle () || vseulexmass.is_inline_function ())
       warning_with_id ("OdePkg:InvalidOption",
@@ -510,7 +510,7 @@
   // The option MStateDependence will be ignored by this solver, the
   // core Fortran solver doesn't support this option
   vseulexmassstate = vodeopt.contents ("MStateDependence");
-  if (!vseulexmassstate.is_empty ())
+  if (!vseulexmassstate.isempty ())
     if (vseulexmassstate.string_value ().compare ("weak") != 0) // 'weak' is default
       warning_with_id ("OdePkg:InvalidOption",
         "Option \"MStateDependence\" will be ignored by this solver");
@@ -518,14 +518,14 @@
   // The option MStateDependence will be ignored by this solver, the
   // core Fortran solver doesn't support this option
   octave_value vmvpat = vodeopt.contents ("MvPattern");
-  if (!vmvpat.is_empty ())
+  if (!vmvpat.isempty ())
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"MvPattern\" will be ignored by this solver");
 
   // The option MassSingular will be ignored by this solver, the
   // core Fortran solver doesn't support this option
   octave_value vmsing = vodeopt.contents ("MassSingular");
-  if (!vmsing.is_empty ())
+  if (!vmsing.isempty ())
     if (vmsing.string_value ().compare ("maybe") != 0)
       warning_with_id ("OdePkg:InvalidOption",
         "Option \"MassSingular\" will be ignored by this solver");
@@ -533,21 +533,21 @@
   // The option InitialSlope will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vinitslope = vodeopt.contents ("InitialSlope");
-  if (!vinitslope.is_empty ())
+  if (!vinitslope.isempty ())
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"InitialSlope\" will be ignored by this solver");
 
   // The option MaxOrder will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vmaxder = vodeopt.contents ("MaxOrder");
-  if (!vmaxder.is_empty ())
+  if (!vmaxder.isempty ())
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"MaxOrder\" will be ignored by this solver");
 
   // The option BDF will be ignored by this solver, the core Fortran
   // solver doesn't support this option
   octave_value vbdf = vodeopt.contents ("BDF");
-  if (!vbdf.is_empty ())
+  if (!vbdf.isempty ())
     if (vbdf.string_value ().compare ("off") != 0)
       warning_with_id ("OdePkg:InvalidOption", 
         "Option \"BDF\" will be ignored by this solver");
@@ -555,12 +555,12 @@
   // this solver, IT NEEDS TO BE CHECKED IF THE FORTRAN CORE SOLVER
   // CAN HANDLE THESE OPTIONS
   octave_value vntol = vodeopt.contents ("NewtonTol");
-  if (!vntol.is_empty ())
+  if (!vntol.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"NewtonTol\" will be ignored by this solver");
   octave_value vmaxnewton = 
     vodeopt.contents ("MaxNewtonIterations");
-  if (!vmaxnewton.is_empty ())
+  if (!vmaxnewton.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"MaxNewtonIterations\" will be ignored by this solver");
 
@@ -608,9 +608,9 @@
   octave_value vtim = args(1).vector_value ()(0);
   octave_value vsol = args(2);
   odepkg_auxiliary_solstore (vtim, vsol, 0);
-  if (!vseulexpltfun.is_empty ()) odepkg_auxiliary_evalplotfun 
+  if (!vseulexpltfun.isempty ()) odepkg_auxiliary_evalplotfun 
     (vseulexpltfun, vseulexoutsel, args(1), args(2), vseulexextarg, 0);
-  if (!vseulexevefun.is_empty ())
+  if (!vseulexevefun.isempty ())
     odepkg_auxiliary_evaleventfun (vseulexevefun, vtim, args(2), vseulexextarg, 0);
 
   // We are calling the core solver and solve the set of ODEs or DAEs
@@ -651,9 +651,9 @@
   octave_value vted = octave_value (XEND);
   octave_value vfin = octave_value (vlastline);
 
-  if (!vseulexpltfun.is_empty ()) odepkg_auxiliary_evalplotfun
+  if (!vseulexpltfun.isempty ()) odepkg_auxiliary_evalplotfun
     (vseulexpltfun, vseulexoutsel, vted, vfin, vseulexextarg, 2);
-  if (!vseulexevefun.is_empty ()) odepkg_auxiliary_evaleventfun
+  if (!vseulexevefun.isempty ()) odepkg_auxiliary_evaleventfun
     (vseulexevefun, vted, vfin, vseulexextarg, 2);
   
   // Get the stats information as an octave_scalar_map if the option 'Stats'
@@ -678,9 +678,9 @@
     vretmap.assign ("x", vtres);
     vretmap.assign ("y", vyres);
     vretmap.assign ("solver", "odesx");
-    if (!vstatinfo.is_empty ()) // Event implementation
+    if (!vstatinfo.isempty ()) // Event implementation
       vretmap.assign ("stats", vstatinfo);
-    if (!vseulexevefun.is_empty ()) {
+    if (!vseulexevefun.isempty ()) {
       vretmap.assign ("ie", vseulexevesol(0).cell_value ()(1));
       vretmap.assign ("xe", vseulexevesol(0).cell_value ()(2));
       vretmap.assign ("ye", vseulexevesol(0).cell_value ()(3));
@@ -698,7 +698,7 @@
     vretval(2) = vempty;
     vretval(3) = vempty;
     vretval(4) = vempty;
-    if (!vseulexevefun.is_empty ()) {
+    if (!vseulexevefun.isempty ()) {
       vretval(2) = vseulexevesol(0).cell_value ()(2);
       vretval(3) = vseulexevesol(0).cell_value ()(3);
       vretval(4) = vseulexevesol(0).cell_value ()(1);
